Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	The GNOME Volume Manager
Name: 		gnome-volume-manager
Version: 	2.22.0
Release: 	1
License: 	GPL
Group: 		System/Configuration/Hardware
Source0: 	http://download.gnome.org/sources/gnome-volume-manager/2.22/gnome-volume-manager-%{version}.tar.bz2
Source1:	magicdev-wrapper
Source2: 	gthumb-import
Source3: 	gnome-cdda-handler
Source4: 	cdda-url-handler.schemas
Patch1: 	gnome-volume-manager-2.17.0-rh-defaults.patch
Patch2: 	gnome-volume-manager-2.17.0-add-console-user-check.patch 
Patch3: 	gnome-volume-manager-2.22.0-check-screensaver.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=509823
Patch4: 	gvm-nomedia.patch
BuildRoot: 	/var/tmp/%{name}-root
BuildPrereq: 	libgnomeui-devel libglade-devel dbus-devel >= 0.90 dbus-glib-devel >= 0.70
BuildPrereq: 	hal-devel >= 0.5.0
BuildRequires: 	perl-XML-Parser
BuildRequires: 	gettext
Requires: 	hal >= 0.5.0 control-center >= 2.0
Requires: 	dbus >= 0.90
#Requires: gthumb
Requires: 	gnome-media
Requires: 	gnome-mount
Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Voume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the desktop and its
applications.

%prep
%setup -q
%patch1 -p1 -b .rh-defaults
%patch2 -p1 -b .add-console-user-check
%patch3 -p1 -b .screensaver
%patch4 -p1 -b .nomedia

%build
%configure --sysconfdir=%_sysconfdir/gnome --libexecdir=%_libdir/gnome-volume-manager
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original --vendor=gnome  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=HardwareSettings               \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-volume-properties.desktop

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/xdg/autostart

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/magicdev
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/gthumb-import
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%_libdir/gnome-volume-manager/gnome-cdda-handler
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/cdda-url-handler.schemas

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-volume-manager.schemas cdda-url-handler.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/$S >/dev/null || :
done

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="gnome-volume-manager.schemas cdda-url-handler.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/$S >/dev/null || :
  done
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="gnome-volume-manager.schemas cdda-url-handler.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/$S >/dev/null || :
  done
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/gnome-volume-properties.desktop
%{_datadir}/gnome-volume-manager
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%_libdir/gnome-volume-manager/gnome-cdda-handler
%_libdir/gnome-volume-manager/gnome-volume-manager
%{_datadir}/gnome/autostart/gnome-volume-manager.desktop

%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.17.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.15.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.15.0-2
- rebuild, moved libexec
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.15.0-1
- Initial release